<?php

module_load_include('api.inc', 'bundlecache');

/**
 * @file
 * Contains the menu definitions for Bundlecache module.
 */

$items['admin/build/bundlecache'] = array(
  'title' => 'Bundlecache',
  'description' => t('Intelligently aggregate stylesheets and JavaScript files for faster delivery.'),
  'page callback' => 'bundlecache_ui_overview',
  'file' => 'bundlecache_ui.overview.inc',
  'access arguments' => array('administer Bundlecache'),
);

$items['admin/build/bundlecache/overview'] = array(
  'title' => 'Overview',
  'type' => MENU_DEFAULT_LOCAL_TASK,
  'weight' => -10,
);

{ // admin/build/bundlecache/css
  $items['admin/build/bundlecache/css'] = array(
    'title' => 'CSS',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_files_by_bundle', 'css'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items['admin/build/bundlecache/css/by-bundle'] = array(
    'title' => 'By bundle',
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items['admin/build/bundlecache/css/by-path'] = array(
    'title' => 'By path',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_files_by_path', 'css'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items['admin/build/bundlecache/css/autodetect'] = array(
    'title' => 'Autodetect',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_autodetect', 'css'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );
}

{ // admin/build/bundlecache/js
  $items['admin/build/bundlecache/js'] = array(
    'title' => 'JavaScript',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_files_by_bundle', 'js'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );

  $items['admin/build/bundlecache/js/by-bundle'] = array(
    'title' => 'By bundle',
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items['admin/build/bundlecache/js/by-path'] = array(
    'title' => 'By path',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_files_by_path', 'js'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items['admin/build/bundlecache/js/autodetect'] = array(
    'title' => 'Autodetect',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_autodetect', 'js'),
    'file' => 'bundlecache_ui.list.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );
}

{ // admin/build/bundlecache/bundle
  $items['admin/build/bundlecache/bundle'] = array(
    'title' => 'Bundles',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_bundle_list'),
    'file' => 'bundlecache_ui.bundle.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 10,
  );

  $items['admin/build/bundlecache/bundle/list'] = array(
    'title' => 'List',
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items['admin/build/bundlecache/bundle/add'] = array(
    'title' => 'Add',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_bundle_edit'),
    'file' => 'bundlecache_ui.bundle.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items['admin/build/bundlecache/bundle/delete'] = array(
    'title' => 'Delete empty bundles',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_bundles_delete_empty'),
    'file' => 'bundlecache_ui.bundle.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_CALLBACK,
  );

  $items['admin/build/bundlecache/bundle/%bundlecache_bundle/edit'] = array(
    'title' => 'Edit',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_bundle_edit', 4),
    'file' => 'bundlecache_ui.bundle.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );

  $items['admin/build/bundlecache/bundle/%bundlecache_bundle/delete'] = array(
    'title' => 'Delete',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_bundle_delete', 4),
    'file' => 'bundlecache_ui.bundle.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_CALLBACK,
  );
}

{ // admin/build/bundlecache/file

  
  $items['admin/build/bundlecache/file/%bundlecache_file/edit'] = array(
    'title' => 'File',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_file_edit', 4),
    'file' => 'bundlecache_ui.file.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_CALLBACK,
  );

  $items['admin/build/bundlecache/file/%bundlecache_file/delete'] = array(
    'title' => 'Delete',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_file_delete', 4),
    'file' => 'bundlecache_ui.file.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_CALLBACK,
  );
}

{ // admin/build/bundlecache/config
  $items['admin/build/bundlecache/config'] = array(
    'title' => 'Configuration',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_config_settings'),
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 20,
  );

  $items['admin/build/bundlecache/config/settings'] = array(
    'title' => 'Settings',
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -10,
  );

  $items['admin/build/bundlecache/config/paths'] = array(
    'title' => 'Paths',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_config_paths'),
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => -5,
  );

  $items['admin/build/bundlecache/config/maintenance'] = array(
    'title' => 'Maintenance',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_config_maintenance'),
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items['admin/build/bundlecache/config/excludes'] = array(
    'title' => 'Excludes',
    'page callback' => 'bundlecache_ui_config_excludes',
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );

  $items['admin/build/bundlecache/config/excludes/delete'] = array(
    'title' => 'Delete exclude',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_config_excludes_delete'),
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_CALLBACK,
  );

  $items['admin/build/bundlecache/config/minify'] = array(
    'title' => 'Minify',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('bundlecache_ui_config_minify'),
    'file' => 'bundlecache_ui.config.inc',
    'access arguments' => array('administer Bundlecache'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 10,
  );
}
